flink-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gyula Fóra <gyf...@apache.org>
Subject Re: Problems with Eclipse IDE
Date Mon, 05 Jan 2015 22:39:50 GMT
Hey,

Marton, Paris and I could get Eclipse working by using a previous stable
version if the eclipse scala-ide. Not by installing the plugin to Kepler
afterwards but directly downloading the prepackaged version from:

http://scala-ide.org/download/prev-stable.html

for scala 2.10.4
<http://download.scala-ide.org/sdk/helium/e38/scala210/stable/site>

We have tried with both the plugins and 4.0.0 but it didnt work at all.

For the import errors, sometimes it is needed to manually rebuild the
project with maven. Usually "mvn clean package" does the trick for random
import errors.

Of course the compiler plugin needs to be set as mentioned in previous
discussions for the flink-scala project.

Hope this helps,

Gyula

On Mon, Jan 5, 2015 at 11:32 PM, Stephan Ewen <sewen@apache.org> wrote:

> Hi all!
>
> Since the last pull requests that split the "flink-runtime" in a part Java
> part Scala project, it seems impossible to develop it with Eclipse.
>
> I have tried
>  - Eclipse Kepler with Scala IDE plugin
>  - Scala IDE 4.0.0
>
> The later does an even worse job than Kepler with the plugin.
>
> I am seeing all of those errors in mixed order:
>  - Scala files unable to find java classes from the same project
>  - Java files unable to find scala classes from the same project
>  - Java files being unable to resolve imports which are clearly present in
> the maven dependencies.
>
> Has anyone had luck in getting this to run?
>
>
> In the current state, we effectively block all new contributors that are
> used to Eclipse as their default IDE and are hesitant to switch to a new
> tool only for trying out an open source project.
>
>
> Greetings,
> Stephan
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message